/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * DO NOT EDIT MANUALLY!!!
 *
 * Generated by tools/generate_annotation_enums.py.
 */

// clang-format off

#pragma once

#include <aidl/android/hardware/automotive/vehicle/VehicleProperty.h>

#include <unordered_map>

namespace aidl {
namespace android {
namespace hardware {
namespace automotive {
namespace vehicle {

std::unordered_map<VehicleProperty, int32_t> VersionForVehicleProperty = {
        {VehicleProperty::INFO_VIN, 2},
        {VehicleProperty::INFO_MAKE, 2},
        {VehicleProperty::INFO_MODEL, 2},
        {VehicleProperty::INFO_MODEL_YEAR, 2},
        {VehicleProperty::INFO_FUEL_CAPACITY, 2},
        {VehicleProperty::INFO_FUEL_TYPE, 2},
        {VehicleProperty::INFO_EV_BATTERY_CAPACITY, 2},
        {VehicleProperty::INFO_EV_CONNECTOR_TYPE, 2},
        {VehicleProperty::INFO_FUEL_DOOR_LOCATION, 2},
        {VehicleProperty::INFO_EV_PORT_LOCATION, 2},
        {VehicleProperty::INFO_DRIVER_SEAT, 2},
        {VehicleProperty::INFO_EXTERIOR_DIMENSIONS, 2},
        {VehicleProperty::INFO_MULTI_EV_PORT_LOCATIONS, 2},
        {VehicleProperty::PERF_ODOMETER, 2},
        {VehicleProperty::PERF_VEHICLE_SPEED, 2},
        {VehicleProperty::PERF_VEHICLE_SPEED_DISPLAY, 2},
        {VehicleProperty::PERF_STEERING_ANGLE, 2},
        {VehicleProperty::PERF_REAR_STEERING_ANGLE, 2},
        {VehicleProperty::ENGINE_COOLANT_TEMP, 2},
        {VehicleProperty::ENGINE_OIL_LEVEL, 2},
        {VehicleProperty::ENGINE_OIL_TEMP, 2},
        {VehicleProperty::ENGINE_RPM, 2},
        {VehicleProperty::WHEEL_TICK, 2},
        {VehicleProperty::FUEL_LEVEL, 2},
        {VehicleProperty::FUEL_DOOR_OPEN, 2},
        {VehicleProperty::EV_BATTERY_LEVEL, 2},
        {VehicleProperty::EV_CURRENT_BATTERY_CAPACITY, 2},
        {VehicleProperty::EV_CHARGE_PORT_OPEN, 2},
        {VehicleProperty::EV_CHARGE_PORT_CONNECTED, 2},
        {VehicleProperty::EV_BATTERY_INSTANTANEOUS_CHARGE_RATE, 2},
        {VehicleProperty::RANGE_REMAINING, 2},
        {VehicleProperty::EV_BATTERY_AVERAGE_TEMPERATURE, 3},
        {VehicleProperty::TIRE_PRESSURE, 2},
        {VehicleProperty::CRITICALLY_LOW_TIRE_PRESSURE, 2},
        {VehicleProperty::ENGINE_IDLE_AUTO_STOP_ENABLED, 2},
        {VehicleProperty::IMPACT_DETECTED, 3},
        {VehicleProperty::GEAR_SELECTION, 2},
        {VehicleProperty::CURRENT_GEAR, 2},
        {VehicleProperty::PARKING_BRAKE_ON, 2},
        {VehicleProperty::PARKING_BRAKE_AUTO_APPLY, 2},
        {VehicleProperty::EV_BRAKE_REGENERATION_LEVEL, 2},
        {VehicleProperty::FUEL_LEVEL_LOW, 2},
        {VehicleProperty::NIGHT_MODE, 2},
        {VehicleProperty::TURN_SIGNAL_STATE, 2},
        {VehicleProperty::IGNITION_STATE, 2},
        {VehicleProperty::ABS_ACTIVE, 2},
        {VehicleProperty::TRACTION_CONTROL_ACTIVE, 2},
        {VehicleProperty::EV_STOPPING_MODE, 2},
        {VehicleProperty::ELECTRONIC_STABILITY_CONTROL_ENABLED, 3},
        {VehicleProperty::ELECTRONIC_STABILITY_CONTROL_STATE, 3},
        {VehicleProperty::HVAC_FAN_SPEED, 2},
        {VehicleProperty::HVAC_FAN_DIRECTION, 2},
        {VehicleProperty::HVAC_TEMPERATURE_CURRENT, 2},
        {VehicleProperty::HVAC_TEMPERATURE_SET, 2},
        {VehicleProperty::HVAC_DEFROSTER, 2},
        {VehicleProperty::HVAC_AC_ON, 2},
        {VehicleProperty::HVAC_MAX_AC_ON, 2},
        {VehicleProperty::HVAC_MAX_DEFROST_ON, 2},
        {VehicleProperty::HVAC_RECIRC_ON, 2},
        {VehicleProperty::HVAC_DUAL_ON, 2},
        {VehicleProperty::HVAC_AUTO_ON, 2},
        {VehicleProperty::HVAC_SEAT_TEMPERATURE, 2},
        {VehicleProperty::HVAC_SIDE_MIRROR_HEAT, 2},
        {VehicleProperty::HVAC_STEERING_WHEEL_HEAT, 2},
        {VehicleProperty::HVAC_TEMPERATURE_DISPLAY_UNITS, 2},
        {VehicleProperty::HVAC_ACTUAL_FAN_SPEED_RPM, 2},
        {VehicleProperty::HVAC_POWER_ON, 2},
        {VehicleProperty::HVAC_FAN_DIRECTION_AVAILABLE, 2},
        {VehicleProperty::HVAC_AUTO_RECIRC_ON, 2},
        {VehicleProperty::HVAC_SEAT_VENTILATION, 2},
        {VehicleProperty::HVAC_ELECTRIC_DEFROSTER_ON, 2},
        {VehicleProperty::HVAC_TEMPERATURE_VALUE_SUGGESTION, 2},
        {VehicleProperty::DISTANCE_DISPLAY_UNITS, 2},
        {VehicleProperty::FUEL_VOLUME_DISPLAY_UNITS, 2},
        {VehicleProperty::TIRE_PRESSURE_DISPLAY_UNITS, 2},
        {VehicleProperty::EV_BATTERY_DISPLAY_UNITS, 2},
        {VehicleProperty::FUEL_CONSUMPTION_UNITS_DISTANCE_OVER_VOLUME, 2},
        {VehicleProperty::VEHICLE_SPEED_DISPLAY_UNITS, 2},
        {VehicleProperty::EXTERNAL_CAR_TIME, 2},
        {VehicleProperty::ANDROID_EPOCH_TIME, 2},
        {VehicleProperty::STORAGE_ENCRYPTION_BINDING_SEED, 2},
        {VehicleProperty::ENV_OUTSIDE_TEMPERATURE, 2},
        {VehicleProperty::AP_POWER_STATE_REQ, 2},
        {VehicleProperty::AP_POWER_STATE_REPORT, 2},
        {VehicleProperty::AP_POWER_BOOTUP_REASON, 2},
        {VehicleProperty::DISPLAY_BRIGHTNESS, 2},
        {VehicleProperty::PER_DISPLAY_BRIGHTNESS, 2},
        {VehicleProperty::VALET_MODE_ENABLED, 3},
        {VehicleProperty::HEAD_UP_DISPLAY_ENABLED, 3},
        {VehicleProperty::HW_KEY_INPUT, 2},
        {VehicleProperty::HW_KEY_INPUT_V2, 2},
        {VehicleProperty::HW_MOTION_INPUT, 2},
        {VehicleProperty::HW_ROTARY_INPUT, 2},
        {VehicleProperty::HW_CUSTOM_INPUT, 2},
        {VehicleProperty::DOOR_POS, 2},
        {VehicleProperty::DOOR_MOVE, 2},
        {VehicleProperty::DOOR_LOCK, 2},
        {VehicleProperty::DOOR_CHILD_LOCK_ENABLED, 2},
        {VehicleProperty::MIRROR_Z_POS, 2},
        {VehicleProperty::MIRROR_Z_MOVE, 2},
        {VehicleProperty::MIRROR_Y_POS, 2},
        {VehicleProperty::MIRROR_Y_MOVE, 2},
        {VehicleProperty::MIRROR_LOCK, 2},
        {VehicleProperty::MIRROR_FOLD, 2},
        {VehicleProperty::MIRROR_AUTO_FOLD_ENABLED, 2},
        {VehicleProperty::MIRROR_AUTO_TILT_ENABLED, 2},
        {VehicleProperty::SEAT_MEMORY_SELECT, 2},
        {VehicleProperty::SEAT_MEMORY_SET, 2},
        {VehicleProperty::SEAT_BELT_BUCKLED, 2},
        {VehicleProperty::SEAT_BELT_HEIGHT_POS, 2},
        {VehicleProperty::SEAT_BELT_HEIGHT_MOVE, 2},
        {VehicleProperty::SEAT_FORE_AFT_POS, 2},
        {VehicleProperty::SEAT_FORE_AFT_MOVE, 2},
        {VehicleProperty::SEAT_BACKREST_ANGLE_1_POS, 2},
        {VehicleProperty::SEAT_BACKREST_ANGLE_1_MOVE, 2},
        {VehicleProperty::SEAT_BACKREST_ANGLE_2_POS, 2},
        {VehicleProperty::SEAT_BACKREST_ANGLE_2_MOVE, 2},
        {VehicleProperty::SEAT_HEIGHT_POS, 2},
        {VehicleProperty::SEAT_HEIGHT_MOVE, 2},
        {VehicleProperty::SEAT_DEPTH_POS, 2},
        {VehicleProperty::SEAT_DEPTH_MOVE, 2},
        {VehicleProperty::SEAT_TILT_POS, 2},
        {VehicleProperty::SEAT_TILT_MOVE, 2},
        {VehicleProperty::SEAT_LUMBAR_FORE_AFT_POS, 2},
        {VehicleProperty::SEAT_LUMBAR_FORE_AFT_MOVE, 2},
        {VehicleProperty::SEAT_LUMBAR_SIDE_SUPPORT_POS, 2},
        {VehicleProperty::SEAT_LUMBAR_SIDE_SUPPORT_MOVE, 2},
        {VehicleProperty::SEAT_HEADREST_HEIGHT_POS, 2},
        {VehicleProperty::SEAT_HEADREST_HEIGHT_POS_V2, 2},
        {VehicleProperty::SEAT_HEADREST_HEIGHT_MOVE, 2},
        {VehicleProperty::SEAT_HEADREST_ANGLE_POS, 2},
        {VehicleProperty::SEAT_HEADREST_ANGLE_MOVE, 2},
        {VehicleProperty::SEAT_HEADREST_FORE_AFT_POS, 2},
        {VehicleProperty::SEAT_HEADREST_FORE_AFT_MOVE, 2},
        {VehicleProperty::SEAT_FOOTWELL_LIGHTS_STATE, 2},
        {VehicleProperty::SEAT_FOOTWELL_LIGHTS_SWITCH, 2},
        {VehicleProperty::SEAT_EASY_ACCESS_ENABLED, 2},
        {VehicleProperty::SEAT_AIRBAG_ENABLED, 2},
        {VehicleProperty::SEAT_AIRBAGS_DEPLOYED, 3},
        {VehicleProperty::SEAT_CUSHION_SIDE_SUPPORT_POS, 2},
        {VehicleProperty::SEAT_CUSHION_SIDE_SUPPORT_MOVE, 2},
        {VehicleProperty::SEAT_LUMBAR_VERTICAL_POS, 2},
        {VehicleProperty::SEAT_LUMBAR_VERTICAL_MOVE, 2},
        {VehicleProperty::SEAT_WALK_IN_POS, 2},
        {VehicleProperty::SEAT_BELT_PRETENSIONER_DEPLOYED, 3},
        {VehicleProperty::SEAT_OCCUPANCY, 2},
        {VehicleProperty::WINDOW_POS, 2},
        {VehicleProperty::WINDOW_MOVE, 2},
        {VehicleProperty::WINDOW_LOCK, 2},
        {VehicleProperty::WINDSHIELD_WIPERS_PERIOD, 2},
        {VehicleProperty::WINDSHIELD_WIPERS_STATE, 2},
        {VehicleProperty::WINDSHIELD_WIPERS_SWITCH, 2},
        {VehicleProperty::STEERING_WHEEL_DEPTH_POS, 2},
        {VehicleProperty::STEERING_WHEEL_DEPTH_MOVE, 2},
        {VehicleProperty::STEERING_WHEEL_HEIGHT_POS, 2},
        {VehicleProperty::STEERING_WHEEL_HEIGHT_MOVE, 2},
        {VehicleProperty::STEERING_WHEEL_THEFT_LOCK_ENABLED, 2},
        {VehicleProperty::STEERING_WHEEL_LOCKED, 2},
        {VehicleProperty::STEERING_WHEEL_EASY_ACCESS_ENABLED, 2},
        {VehicleProperty::GLOVE_BOX_DOOR_POS, 2},
        {VehicleProperty::GLOVE_BOX_LOCKED, 2},
        {VehicleProperty::VEHICLE_MAP_SERVICE, 2},
        {VehicleProperty::LOCATION_CHARACTERIZATION, 2},
        {VehicleProperty::ULTRASONICS_SENSOR_POSITION, 3},
        {VehicleProperty::ULTRASONICS_SENSOR_ORIENTATION, 3},
        {VehicleProperty::ULTRASONICS_SENSOR_FIELD_OF_VIEW, 3},
        {VehicleProperty::ULTRASONICS_SENSOR_DETECTION_RANGE, 3},
        {VehicleProperty::ULTRASONICS_SENSOR_SUPPORTED_RANGES, 3},
        {VehicleProperty::ULTRASONICS_SENSOR_MEASURED_DISTANCE, 3},
        {VehicleProperty::OBD2_LIVE_FRAME, 2},
        {VehicleProperty::OBD2_FREEZE_FRAME, 2},
        {VehicleProperty::OBD2_FREEZE_FRAME_INFO, 2},
        {VehicleProperty::OBD2_FREEZE_FRAME_CLEAR, 2},
        {VehicleProperty::HEADLIGHTS_STATE, 2},
        {VehicleProperty::HIGH_BEAM_LIGHTS_STATE, 2},
        {VehicleProperty::FOG_LIGHTS_STATE, 2},
        {VehicleProperty::HAZARD_LIGHTS_STATE, 2},
        {VehicleProperty::HEADLIGHTS_SWITCH, 2},
        {VehicleProperty::HIGH_BEAM_LIGHTS_SWITCH, 2},
        {VehicleProperty::FOG_LIGHTS_SWITCH, 2},
        {VehicleProperty::HAZARD_LIGHTS_SWITCH, 2},
        {VehicleProperty::CABIN_LIGHTS_STATE, 2},
        {VehicleProperty::CABIN_LIGHTS_SWITCH, 2},
        {VehicleProperty::READING_LIGHTS_STATE, 2},
        {VehicleProperty::READING_LIGHTS_SWITCH, 2},
        {VehicleProperty::STEERING_WHEEL_LIGHTS_STATE, 2},
        {VehicleProperty::STEERING_WHEEL_LIGHTS_SWITCH, 2},
        {VehicleProperty::SUPPORT_CUSTOMIZE_VENDOR_PERMISSION, 2},
        {VehicleProperty::DISABLED_OPTIONAL_FEATURES, 2},
        {VehicleProperty::INITIAL_USER_INFO, 2},
        {VehicleProperty::SWITCH_USER, 2},
        {VehicleProperty::CREATE_USER, 2},
        {VehicleProperty::REMOVE_USER, 2},
        {VehicleProperty::USER_IDENTIFICATION_ASSOCIATION, 2},
        {VehicleProperty::EVS_SERVICE_REQUEST, 2},
        {VehicleProperty::POWER_POLICY_REQ, 2},
        {VehicleProperty::POWER_POLICY_GROUP_REQ, 2},
        {VehicleProperty::CURRENT_POWER_POLICY, 2},
        {VehicleProperty::WATCHDOG_ALIVE, 2},
        {VehicleProperty::WATCHDOG_TERMINATED_PROCESS, 2},
        {VehicleProperty::VHAL_HEARTBEAT, 2},
        {VehicleProperty::CLUSTER_SWITCH_UI, 2},
        {VehicleProperty::CLUSTER_DISPLAY_STATE, 2},
        {VehicleProperty::CLUSTER_REPORT_STATE, 2},
        {VehicleProperty::CLUSTER_REQUEST_DISPLAY, 2},
        {VehicleProperty::CLUSTER_NAVIGATION_STATE, 2},
        {VehicleProperty::ELECTRONIC_TOLL_COLLECTION_CARD_TYPE, 2},
        {VehicleProperty::ELECTRONIC_TOLL_COLLECTION_CARD_STATUS, 2},
        {VehicleProperty::FRONT_FOG_LIGHTS_STATE, 2},
        {VehicleProperty::FRONT_FOG_LIGHTS_SWITCH, 2},
        {VehicleProperty::REAR_FOG_LIGHTS_STATE, 2},
        {VehicleProperty::REAR_FOG_LIGHTS_SWITCH, 2},
        {VehicleProperty::EV_CHARGE_CURRENT_DRAW_LIMIT, 2},
        {VehicleProperty::EV_CHARGE_PERCENT_LIMIT, 2},
        {VehicleProperty::EV_CHARGE_STATE, 2},
        {VehicleProperty::EV_CHARGE_SWITCH, 2},
        {VehicleProperty::EV_CHARGE_TIME_REMAINING, 2},
        {VehicleProperty::EV_REGENERATIVE_BRAKING_STATE, 2},
        {VehicleProperty::TRAILER_PRESENT, 2},
        {VehicleProperty::VEHICLE_CURB_WEIGHT, 2},
        {VehicleProperty::GENERAL_SAFETY_REGULATION_COMPLIANCE_REQUIREMENT, 2},
        {VehicleProperty::SUPPORTED_PROPERTY_IDS, 2},
        {VehicleProperty::SHUTDOWN_REQUEST, 2},
        {VehicleProperty::VEHICLE_IN_USE, 2},
        {VehicleProperty::CLUSTER_HEARTBEAT, 3},
        {VehicleProperty::VEHICLE_DRIVING_AUTOMATION_CURRENT_LEVEL, 3},
        {VehicleProperty::CAMERA_SERVICE_CURRENT_STATE, 3},
        {VehicleProperty::PER_DISPLAY_MAX_BRIGHTNESS, 3},
        {VehicleProperty::AUTOMATIC_EMERGENCY_BRAKING_ENABLED, 2},
        {VehicleProperty::AUTOMATIC_EMERGENCY_BRAKING_STATE, 2},
        {VehicleProperty::FORWARD_COLLISION_WARNING_ENABLED, 2},
        {VehicleProperty::FORWARD_COLLISION_WARNING_STATE, 2},
        {VehicleProperty::BLIND_SPOT_WARNING_ENABLED, 2},
        {VehicleProperty::BLIND_SPOT_WARNING_STATE, 2},
        {VehicleProperty::LANE_DEPARTURE_WARNING_ENABLED, 2},
        {VehicleProperty::LANE_DEPARTURE_WARNING_STATE, 2},
        {VehicleProperty::LANE_KEEP_ASSIST_ENABLED, 2},
        {VehicleProperty::LANE_KEEP_ASSIST_STATE, 2},
        {VehicleProperty::LANE_CENTERING_ASSIST_ENABLED, 2},
        {VehicleProperty::LANE_CENTERING_ASSIST_COMMAND, 2},
        {VehicleProperty::LANE_CENTERING_ASSIST_STATE, 2},
        {VehicleProperty::EMERGENCY_LANE_KEEP_ASSIST_ENABLED, 2},
        {VehicleProperty::EMERGENCY_LANE_KEEP_ASSIST_STATE, 2},
        {VehicleProperty::CRUISE_CONTROL_ENABLED, 2},
        {VehicleProperty::CRUISE_CONTROL_TYPE, 2},
        {VehicleProperty::CRUISE_CONTROL_STATE, 2},
        {VehicleProperty::CRUISE_CONTROL_COMMAND, 2},
        {VehicleProperty::CRUISE_CONTROL_TARGET_SPEED, 2},
        {VehicleProperty::ADAPTIVE_CRUISE_CONTROL_TARGET_TIME_GAP, 2},
        {VehicleProperty::ADAPTIVE_CRUISE_CONTROL_LEAD_VEHICLE_MEASURED_DISTANCE, 2},
        {VehicleProperty::HANDS_ON_DETECTION_ENABLED, 2},
        {VehicleProperty::HANDS_ON_DETECTION_DRIVER_STATE, 2},
        {VehicleProperty::HANDS_ON_DETECTION_WARNING, 2},
        {VehicleProperty::DRIVER_DROWSINESS_ATTENTION_SYSTEM_ENABLED, 3},
        {VehicleProperty::DRIVER_DROWSINESS_ATTENTION_STATE, 3},
        {VehicleProperty::DRIVER_DROWSINESS_ATTENTION_WARNING_ENABLED, 3},
        {VehicleProperty::DRIVER_DROWSINESS_ATTENTION_WARNING, 3},
        {VehicleProperty::DRIVER_DISTRACTION_SYSTEM_ENABLED, 3},
        {VehicleProperty::DRIVER_DISTRACTION_STATE, 3},
        {VehicleProperty::DRIVER_DISTRACTION_WARNING_ENABLED, 3},
        {VehicleProperty::DRIVER_DISTRACTION_WARNING, 3},
        {VehicleProperty::LOW_SPEED_COLLISION_WARNING_ENABLED, 3},
        {VehicleProperty::LOW_SPEED_COLLISION_WARNING_STATE, 3},
        {VehicleProperty::CROSS_TRAFFIC_MONITORING_ENABLED, 3},
        {VehicleProperty::CROSS_TRAFFIC_MONITORING_WARNING_STATE, 3},
        {VehicleProperty::LOW_SPEED_AUTOMATIC_EMERGENCY_BRAKING_ENABLED, 3},
        {VehicleProperty::LOW_SPEED_AUTOMATIC_EMERGENCY_BRAKING_STATE, 3},
};

}  // namespace vehicle
}  // namespace automotive
}  // namespace hardware
}  // namespace android
}  // aidl
